Bug 609084 - pfkey socket buffer overflow
pfkey socket buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipsec-tools (Show other bugs)
5.5
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Tomas Mraz
Ondrej Moriš
: OtherQA, ZStream
Depends On: 607361
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 07:57 EDT by RHEL Product and Program Management
Modified: 2010-11-22 18:38 EST (History)
8 users (show)

See Also:
Fixed In Version: ipsec-tools-0.6.5-14.el5_5.5
Doc Type: Bug Fix
Doc Text:
When clients connected and disconnected under load the racoon daemon stopped responding for a few minutes due to a race condition in the code handling dumps of the Security Association Database (SAD) from the kernel through a pfkey socket. The updated package uses a separate pfkey socket for the SA database dumps effectively removing the possibility for the race condition.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 02:59:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-06-29 07:57:05 EDT
This bug has been copied from bug #607361 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 4 Florian Nadge 2010-07-13 04:59:23 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When clients connected and disconnected under load the racoon daemon stopped responding for a few minutes due to a race condition in the code handling dumps of the Security Association Database (SAD) from the kernel through a pfkey socket. The updated package uses a separate pfkey socket for the SA database dumps effectively removing the possibility for the race condition.
Comment 7 errata-xmlrpc 2010-08-24 02:59:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0645.html

Note You need to log in before you can comment on or make changes to this bug.